Option Explicit

Dim objFSO, objFolder, objSubFolder, objFile, ffmpegPath, ffmpegCommand, objShell, result
Dim scriptPath, initialMsg, commandOutput, commandError, processExitCode
Dim outputPath, newFileName

initialMsg = "Witaj w narzedziu, stworzonym przez ogoniciel oraz axel, ktore umozliwi ci przekonwertowanie wszystkich twoich dzwonkow znajdujacych sie w podkatalogu robota, do formatu ""m4r"", tak, abys mogl potem wgrac sobie ten dzwonek na swojego ukochanego ajfona." & vbCrLf & "Nacisnij klawisz enter, aby skrypt mogl rozpoczac dzialanie."
MsgBox initialMsg, vbOKOnly, "Witaj!"

scriptPath = Replace(WScript.ScriptFullName, WScript.ScriptName, "")
ffmpegPath = scriptPath & "exes\ffmpeg.exe"
Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objFolder = objFSO.GetFolder(scriptPath & "robota")

If Not objFSO.FolderExists(scriptPath & "zrobione") Then
    objFSO.CreateFolder(scriptPath & "zrobione")
End If

Set objSubFolder = objFSO.GetFolder(scriptPath & "zrobione")

For Each objFile In objFolder.Files
    If LCase(objFSO.GetExtensionName(objFile.Path)) = "mp3" Or LCase(objFSO.GetExtensionName(objFile.Path)) = "wav" Then
        outputPath = objSubFolder.Path & "\" & objFSO.GetBaseName(objFile.Name) & ".m4a"
        ffmpegCommand = """" & ffmpegPath & """ -i """ & objFile.Path & """ -vn """ & outputPath & """"

        Set objShell = CreateObject("WScript.Shell")
        objShell.Run ffmpegCommand, 0, True

        If objFSO.FileExists(outputPath) Then
            newFileName = objFSO.BuildPath(objSubFolder.Path, objFSO.GetBaseName(objFile.Name) & ".m4r")
            If objFSO.FileExists(newFileName) Then
                objFSO.DeleteFile newFileName
            End If
            objFSO.MoveFile outputPath, newFileName
        Else
            MsgBox "Błąd konwersji pliku: " & objFile.Name & vbCrLf & "Plik wyjściowy nie został utworzony.", vbCritical, "Błąd konwersji"
        End If
    End If
Next

MsgBox "Wszystkie pliki zostaly pomyslnie skonwertowane do formatu m4r i zapisane w folderze 'zrobione'.", vbInformation, "Gotowe!"

Set objFSO = Nothing
Set objShell = Nothing
